## visad.data.mcidas
Class McIDASGridReader

    java.lang.Object
      visad.data.mcidas.McIDASGridReader

public class McIDASGridReader
extends Object

Read grid(s) from a McIDAS grid file

Field Summary
`(package private) int[]` `entry`
`(package private) RandomAccessFile` `fn`
`(package private) ArrayList` `gridD`
`(package private) ArrayList` `gridH`

Constructor Summary
`McIDASGridReader()`

Method Summary
`ArrayList` `getGrid(int index)` to get some grid, by index value, other than the first one
`ArrayList` `getGridData(String filename)` read the first grid from the named file
`ArrayList` `getGridHeaders()` to get the grid header corresponding to the last grid read
`static void` `main(String[] a)` for testing purposes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gridH

    ArrayList gridH

### gridD

    ArrayList gridD

### entry

    int[] entry

### fn

    RandomAccessFile fn

Constructor Detail

### McIDASGridReader

    public McIDASGridReader()

Method Detail

### getGridData

    public ArrayList getGridData(String filename)

  read the first grid from the named file

  Returns:
    first grid

### getGrid

    public ArrayList getGrid(int index)

  to get some grid, by index value, other than the first one

  Returns:
    ArrayList of the single grid

### getGridHeaders

    public ArrayList getGridHeaders()

  to get the grid header corresponding to the last grid read

  Returns:
    McIDASGridDirectory of the last grid read

### main

    public static void main(String[] a)

  for testing purposes